Index: doc/language.doc
===================================================================
--- doc/language.doc	(revision 637)
+++ doc/language.doc	(working copy)
@@ -23,7 +23,7 @@
 than English (the default). The output language is chosen through the
 configuration file (with default name and known as Doxyfile).
 
-Currently (version 1.5.5), 34 languages 
+Currently (version 1.5.6), 34 languages 
 are supported (sorted alphabetically):
 Afrikaans, Arabic, Brazilian Portuguese, Catalan, Chinese, Chinese
 Traditional, Croatian, Czech, Danish, Dutch, English, Finnish, French,
@@ -67,7 +67,7 @@
     <td>Brazilian Portuguese</td>
     <td>Fabio "FJTC" Jun Takada Chino</td>
     <td>jun-chino at uol dot com dot br</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Catalan</td>
@@ -79,25 +79,25 @@
     <td>Chinese</td>
     <td>Li Daobing<br>Wei Liu</td>
     <td>lidaobing at gmail dot com<br>liuwei at asiainfo dot com</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Chinese Traditional</td>
     <td>Daniel YC Lin<br>Gary Lee</td>
     <td>dlin.tw at gmail dot com<br>garywlee at gmail dot com</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Croatian</td>
     <td>Boris Bralo</td>
     <td>boris.bralo at zg dot htnet dot hr</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Czech</td>
     <td>Petr P&#x0159;ikryl</td>
     <td>prikrylp at skil dot cz</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Danish</td>
@@ -109,7 +109,7 @@
     <td>Dutch</td>
     <td>Dimitri van Heesch</td>
     <td>dimitri at stack dot nl</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>English</td>
@@ -133,7 +133,7 @@
     <td>German</td>
     <td>Jens Seidel</td>
     <td>jensseidel at users dot sf dot net</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Greek</td>
@@ -157,7 +157,7 @@
     <td>Italian</td>
     <td>Alessandro Falappa<br>Ahmed Aldo Faisal</td>
     <td>alessandro at falappa dot net<br>aaf23 at cam dot ac dot uk</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Japanese</td>
@@ -175,7 +175,7 @@
     <td>Korean</td>
     <td>Kim Taedong<br>SooYoung Jung<br>Richard Kim</td>
     <td>fly1004 at gmail dot com<br>jung5000 at gmail dot com<br>ryk at dspwiz dot com</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>KoreanEn</td>
@@ -205,7 +205,7 @@
     <td>Persian</td>
     <td>Ali Nadalizadeh</td>
     <td>nadalizadeh at gmail dot com</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Polish</td>
@@ -229,7 +229,7 @@
     <td>Russian</td>
     <td>Alexandr Chelpanov</td>
     <td>cav at cryptopro dot ru</td>
-    <td>up-to-date</td>
+    <td>1.5.6</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Serbian</td>
@@ -253,7 +253,7 @@
     <td>Spanish</td>
     <td>Bartomeu<br>Francisco Oltra Thennet</td>
     <td>bartomeu at loteria3cornella dot com<br>foltra at puc dot cl</td>
-    <td>up-to-date</td>
+    <td>1.5.06</td>
   </tr>
   <tr bgcolor="#ffffff">
     <td>Swedish</td>
@@ -286,24 +286,24 @@
   \hline
   Arabic & Moaz Reyad & {\tt\tiny moazreyad@yahoo.com} & 1.4.6 \\
   \hline
-  Brazilian Portuguese & Fabio "FJTC" Jun Takada Chino & {\tt\tiny jun-chino@uol.com.br} & up-to-date \\
+  Brazilian Portuguese & Fabio "FJTC" Jun Takada Chino & {\tt\tiny jun-chino@uol.com.br} & 1.5.6 \\
   \hline
   Catalan & Maximiliano Pin & {\tt\tiny max.pin@bitroit.com} & 1.5.4 \\
   ~ & Albert Mora & {\tt\tiny amora@iua.upf.es} & ~ \\
   \hline
-  Chinese & Li Daobing & {\tt\tiny lidaobing@gmail.com} & up-to-date \\
+  Chinese & Li Daobing & {\tt\tiny lidaobing@gmail.com} & 1.5.6 \\
   ~ & Wei Liu & {\tt\tiny liuwei@asiainfo.com} & ~ \\
   \hline
-  Chinese Traditional & Daniel YC Lin & {\tt\tiny dlin.tw@gmail.com} & up-to-date \\
+  Chinese Traditional & Daniel YC Lin & {\tt\tiny dlin.tw@gmail.com} & 1.5.6 \\
   ~ & Gary Lee & {\tt\tiny garywlee@gmail.com} & ~ \\
   \hline
-  Croatian & Boris Bralo & {\tt\tiny boris.bralo@zg.htnet.hr} & up-to-date \\
+  Croatian & Boris Bralo & {\tt\tiny boris.bralo@zg.htnet.hr} & 1.5.6 \\
   \hline
-  Czech & Petr P\v{r}ikryl & {\tt\tiny prikrylp@skil.cz} & up-to-date \\
+  Czech & Petr P\v{r}ikryl & {\tt\tiny prikrylp@skil.cz} & 1.5.6 \\
   \hline
   Danish & Erik S\o{}e S\o{}rensen & {\tt\tiny eriksoe+doxygen@daimi.au.dk} & 1.5.4 \\
   \hline
-  Dutch & Dimitri van Heesch & {\tt\tiny dimitri@stack.nl} & up-to-date \\
+  Dutch & Dimitri van Heesch & {\tt\tiny dimitri@stack.nl} & 1.5.6 \\
   \hline
   English & Dimitri van Heesch & {\tt\tiny dimitri@stack.nl} & up-to-date \\
   \hline
@@ -311,7 +311,7 @@
   \hline
   French & Xavier Outhier & {\tt\tiny xouthier@yahoo.fr} & 1.5.4 \\
   \hline
-  German & Jens Seidel & {\tt\tiny jensseidel@users.sf.net} & up-to-date \\
+  German & Jens Seidel & {\tt\tiny jensseidel@users.sf.net} & 1.5.6 \\
   \hline
   Greek & Paul Gessos & {\tt\tiny nickreserved@yahoo.com} & 1.5.4 \\
   \hline
@@ -320,7 +320,7 @@
   \hline
   Indonesian & Hendy Irawan & {\tt\tiny ceefour@gauldong.net} & 1.4.6 \\
   \hline
-  Italian & Alessandro Falappa & {\tt\tiny alessandro@falappa.net} & up-to-date \\
+  Italian & Alessandro Falappa & {\tt\tiny alessandro@falappa.net} & 1.5.6 \\
   ~ & Ahmed Aldo Faisal & {\tt\tiny aaf23@cam.ac.uk} & ~ \\
   \hline
   Japanese & Ryunosuke Satoh & {\tt\tiny sun594@hotmail.com} & 1.5.4 \\
@@ -329,7 +329,7 @@
   \hline
   JapaneseEn & see the Japanese language & {\tt\tiny ~} & English based \\
   \hline
-  Korean & Kim Taedong & {\tt\tiny fly1004@gmail.com} & up-to-date \\
+  Korean & Kim Taedong & {\tt\tiny fly1004@gmail.com} & 1.5.6 \\
   ~ & SooYoung Jung & {\tt\tiny jung5000@gmail.com} & ~ \\
   ~ & Richard Kim & {\tt\tiny ryk@dspwiz.com} & ~ \\
   \hline
@@ -343,7 +343,7 @@
   \hline
   Norwegian & Lars Erik Jordet & {\tt\tiny lejordet@gmail.com} & 1.4.6 \\
   \hline
-  Persian & Ali Nadalizadeh & {\tt\tiny nadalizadeh@gmail.com} & up-to-date \\
+  Persian & Ali Nadalizadeh & {\tt\tiny nadalizadeh@gmail.com} & 1.5.6 \\
   \hline
   Polish & Piotr Kaminski & {\tt\tiny Piotr.Kaminski@ctm.gdynia.pl} & 1.4.6 \\
   ~ & Grzegorz Kowal & {\tt\tiny g\_kowal@poczta.onet.pl} & ~ \\
@@ -352,7 +352,7 @@
   \hline
   Romanian & Alexandru Iosup & {\tt\tiny aiosup@yahoo.com} & 1.4.1 \\
   \hline
-  Russian & Alexandr Chelpanov & {\tt\tiny cav@cryptopro.ru} & up-to-date \\
+  Russian & Alexandr Chelpanov & {\tt\tiny cav@cryptopro.ru} & 1.5.6 \\
   \hline
   Serbian & Dejan Milosavljevic & {\tt\tiny dmilos@email.com} & 1.4.1 \\
   \hline
@@ -360,7 +360,7 @@
   \hline
   Slovene & Matja\v{z} Ostrover\v{s}nik & {\tt\tiny matjaz.ostroversnik@ostri.org} & 1.4.6 \\
   \hline
-  Spanish & Bartomeu & {\tt\tiny bartomeu@loteria3cornella.com} & up-to-date \\
+  Spanish & Bartomeu & {\tt\tiny bartomeu@loteria3cornella.com} & 1.5.06 \\
   ~ & Francisco Oltra Thennet & {\tt\tiny foltra@puc.cl} & ~ \\
   \hline
   Swedish & Mikael Hallin & {\tt\tiny mikaelhallin@yahoo.se} & 1.4.6 \\
Index: doc/commands.doc
===================================================================
--- doc/commands.doc	(revision 637)
+++ doc/commands.doc	(working copy)
@@ -130,6 +130,8 @@
 \refitem cmd_php_only \\protected (PHP only)
 \refitem cmd_php_only \\protectedsection (PHP only)
 \refitem cmdprotocol \\protocol
+\refitem cmdprogression \\progression
+\refitem cmdprogression \\ps
 \refitem cmd_php_only \\public (PHP only)
 \refitem cmd_php_only \\publicsection (PHP only)
 \refitem cmdref \\ref
@@ -645,6 +647,25 @@
   \sa section \ref cmdclass "\\class".
 
 <hr>
+\section cmdprogression \\progression {text}
+
+  \addindex \\progression
+  Starts or adds to a paragraph describing the progression of events
+  within a function, class or otherwise. All instances of this command
+  encountered within a documentation block will be merged into
+  a single paragraph in the resulting documentation. 
+  
+  The paragraph will be indented and each progression command
+  encountered will be placed on a new line. The text of the paragraph 
+  has no special internal structure. All visual enhancement commands 
+  may be used inside the paragraph.
+  The \c \\progression command ends when a blank line or some other 
+  sectioning command is encountered. See section \ref cmdpar "\\par" 
+  for an example.
+
+  \sa section \ref cmdpar "\\par".
+
+<hr>
 \section cmdrelates \\relates <name>
 
   \addindex \\relates
Index: doc/config.doc
===================================================================
--- doc/config.doc	(revision 637)
+++ doc/config.doc	(working copy)
@@ -111,6 +111,7 @@
 \refitem cfg_extract_static EXTRACT_STATIC
 \refitem cfg_file_patterns FILE_PATTERNS
 \refitem cfg_file_version_filter FILE_VERSION_FILTER
+\refitem cfg_grouped_sections GROUPED_SECTIONS
 \refitem cfg_filter_patterns FILTER_PATTERNS
 \refitem cfg_filter_source_files FILTER_SOURCE_FILES
 \refitem cfg_formula_fontsize FORMULA_FONTSIZE
@@ -928,6 +929,44 @@
 FILE_VERSION_INFO = "cleartool desc -fmt \%Vn"
 \endverbatim
 
+\anchor cfg_grouped_sections
+<dt>\c GROUPED_SECTIONS <dd>
+ \addindex GROUPED_SECTIONS
+ The \c GROUPED_SECTIONS option can be used to modify the way certain
+ elements in the documentation should be organized. In a default configuration
+ each of the section commands (including \c return, \c author, \c authors,
+ \c version, \c since \c date, \c note, \c warning, \c pre, \c post,
+ \c invariant, \c remark, \c attention, and \c par) is placed into
+ the output file linearly in the order they are encountered. Adding
+ certain values to the \c GROUPED_SECTIONS option will cause all instances
+ of these grouped sections to be combined regardless of their location
+ in the documentation. In this case each section will be placed in the
+ resulting output in the same location that it was first encountered. All
+ commands after the first are treated as an (addendum) to the already
+ defined sections.
+
+For all but the \c par command the command name is exactly what needs to be
+specified in the configuration file. Some examples:
+\verbatim
+GROUPED_SECTIONS += return
+GROUPED_SECTIONS += note
+GROUPED_SECTIONS += attention remark
+\endverbatim
+
+The par command is treated differently, and makes it possible to create
+sections with custom headings. (See the Special Commands section of this
+manual for more information). To associate a \c par command as being
+grouped the entire paragraph heading must be specified. Some examples
+\verbatim
+GROUPED_SECTIONS += par:MyHeading
+GROUPED_SECTIONS += "par:My Heading That Has Spaces"
+\endverbatim
+
+The same rules that apply to other doxygen configuration lists apply, and
+therefore quotation characters are needed in the case that spaces
+must be used. And one or more than one commands may be specified
+in the same line.
+
 \anchor cfg_recursive
 <dt>\c RECURSIVE <dd>
  \addindex RECURSIVE
Index: examples/progress.cfg
===================================================================
--- examples/progress.cfg	(revision 0)
+++ examples/progress.cfg	(revision 0)
@@ -0,0 +1,11 @@
+PROJECT_NAME     = "Progress Command"
+OUTPUT_DIRECTORY = progress
+GENERATE_LATEX   = NO
+GENERATE_MAN     = NO
+GENERATE_RTF     = NO
+GENERATE_XML = NO
+CASE_SENSE_NAMES = NO
+INPUT            = progress.cpp
+QUIET            = YES
+JAVADOC_AUTOBRIEF = YES
+EXTRACT_ALL = YES
Index: examples/progress.cpp
===================================================================
--- examples/progress.cpp	(revision 0)
+++ examples/progress.cpp	(revision 0)
@@ -0,0 +1,37 @@
+class Progression_Example
+{
+  public:
+    /**
+     * \brief Compute The Fibonacci Number
+     *
+     * Generates A Fibonacci Number
+     *
+     * \param pNum the fibonacci number to calculate.
+     * \return a fibonacci number
+     */
+    int fibonacci(int pNum) {
+
+      //! \ps Base case return either zero or one
+      if( pNum <= 1 ) return pNum;
+
+      //! \todo Take advantage of memoization
+      
+      //! \ps Recursive case return the result of the two
+      //!     lower fibonacci numbers
+      return fibonacci(pNum-1) + fibonacci(pNum-2);
+    };
+
+    /**
+     * \brief Displays a hello world message
+     * 
+     */
+    void helloWorld() {
+      //! \ps Print hello world
+      cout << "Hello World!" << endl;
+
+      //! \todo collect input here
+      
+      //! \ps Generate the fibonacci number for five
+      cout << fibonacci(5) << endl;
+    }
+};
